Subject: IUTF8 pseudo-terminal mode

From: Colin Watson <[email-masked]>
Date: Sat, 31 Dec 2005 16:05:59 +0000

Recent versions of the Linux kernel support an IUTF8 flag (see
http://www.cl.cam.ac.uk/~mgk25/unicode.html#mod) which allows the
character-erase function in cooked mode to handle UTF-8 characters
correctly. I would like to allow this mode to be preserved by SSH, but
there is no assignment for it at present.

Could this line be added to the appropriate place in
draft-ietf-secsh-connect and draft-ietf-secsh-assignednumbers to create
this assignment? 42 seems like a reasonable place for it.

          42    IUTF8       Assume input characters are UTF-8 encoded.

Thanks,

-- 
Colin Watson                                       [[email-masked]]